Landscape client fails to pass ssl check with LetsEncrypt cert

Bug #1952121 reported by Jeff Jones
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
landscape-client (Ubuntu)
Undecided
Unassigned

Bug Description

I've got a couple clients running 21.04 and several running previous versions. The older clients have no problems communicating with the landscape server (LDS 19.10 on 18.04 LTS) but the newer clients fail with the below error in the broker log:

Nov 24 09:55:07 jupyter landscape-client[13684]: 2021-11-24 09:54:57,742 INFO [MainThread] Got notification of impending exchange. Notifying all plugins.
Nov 24 09:55:07 jupyter landscape-client[13684]: 2021-11-24 09:54:57,742 INFO [MainThread] Got notification of impending exchange. Notifying all plugins.
Nov 24 09:55:07 jupyter landscape-client[13684]: 2021-11-24 09:54:57,785 INFO [MainThread] Queueing a message with updated data watcher info for landscap>Nov 24 09:55:07 jupyter landscape-client[13684]: 2021-11-24 09:55:07,834 INFO [MainThread] Starting urgent message exchange with https://landscape.brainl>Nov 24 09:57:08 jupyter landscape-client[13684]: 2021-11-24 09:55:07,909 ERROR [PoolThread-twisted.internet.reactor-1] Error contacting the server at http>Nov 24 09:57:08 jupyter landscape-client[13684]: Traceback (most recent call last):
Nov 24 09:57:08 jupyter landscape-client[13684]: File "/usr/lib/python3/dist-packages/landscape/lib/fetch.py", line 116, in fetch
Nov 24 09:57:08 jupyter landscape-client[13684]: curl.perform()
Nov 24 09:57:08 jupyter landscape-client[13684]: pycurl.error: (60, 'server certificate verification failed. CAfile: none CRLfile: none')
Nov 24 09:57:08 jupyter landscape-client[13684]: During handling of the above exception, another exception occurred:
Nov 24 09:57:08 jupyter landscape-client[13684]: Traceback (most recent call last):
Nov 24 09:57:08 jupyter landscape-client[13684]: File "/usr/lib/python3/dist-packages/landscape/client/broker/transport.py", line 81, in exchange
Nov 24 09:57:08 jupyter landscape-client[13684]: curly, data = self._curl(spayload, computer_id, exchange_token,
Nov 24 09:57:08 jupyter landscape-client[13684]: File "/usr/lib/python3/dist-packages/landscape/client/broker/transport.py", line 55, in _curl
Nov 24 09:57:08 jupyter landscape-client[13684]: return (curl, fetch(self._url, post=True, data=payload,
Nov 24 09:57:08 jupyter landscape-client[13684]: File "/usr/lib/python3/dist-packages/landscape/lib/fetch.py", line 118, in fetch
Nov 24 09:57:08 jupyter landscape-client[13684]: raise PyCurlError(e.args[0], e.args[1])
Nov 24 09:57:08 jupyter landscape-client[13684]: landscape.lib.fetch.PyCurlError: Error 60: server certificate verification failed. CAfile: none CRLfile: noneNov 24 09:57:08 jupyter landscape-client[13684]: 2021-11-24 09:55:07,910 ERROR [MainThread] Message exchange failed: server certificate verification faile>Nov 24 09:57:08 jupyter landscape-client[13684]: 2021-11-24 09:55:07,910 INFO [MainThread] Message exchange failed.
Nov 24 09:57:08 jupyter landscape-client[13684]: 2021-11-24 09:55:07,910 INFO [MainThread] Message exchange completed in 0.08s.

LSB Info (Client):
Distributor ID: Ubuntu
Description: Ubuntu 21.04
Release: 21.04
Codename: hirsute

Package Info (Client):
landscape-client:
  Installed: 19.12-0ubuntu9.1

Expected result:
Client will communicate with server and appear in Landscape

What happened instead:
Client pings server, server complains about not being able to communicate with the client and shows no update info.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers